## ros-indigo-concert-service-gazebo 0.1.12

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(concert_service_gazebo)

##############################################################################
# Catkin
##############################################################################

find_package(catkin REQUIRED)
catkin_package()
catkin_python_setup()

##############################################################################
# Installs
##############################################################################

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY maps
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY robots
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY services
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY worlds
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(
  PROGRAMS
    scripts/gazebo_launcher.py
    scripts/gazebo_robot_manager.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-indigo-concert-service-gazebo (0.1.12-0trusty) trusty; urgency=high

  * gazebo is now headless. viewer is now interactions closes #32 <https://github.com/robotics-in-concert/concert_services/issues/32>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-indigo-concert-service-gazebo (0.1.11-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 26 Apr 2015 15:00:00 -0000

ros-indigo-concert-service-gazebo (0.1.10-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 05 Apr 2015 15:00:00 -0000

ros-indigo-concert-service-gazebo (0.1.9-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 22 Mar 2015 15:00:00 -0000

ros-indigo-concert-service-gazebo (0.1.8-0trusty) trusty; urgency=high

  * Update link to example in README
    At 6497f837e14672ebc05319534e1c4f8cbeb1860e of the rocon_demos repository
    (https://github.com/robotics-in-concert/rocon_demos), gazebo_solution was
    migrated to the rocon_tutorials repository
    (https://github.com/robotics-in-concert/rocon_tutorials) and renamed to
    "gazebo_concert". Compare with commit c92d9e40938f0b3e75979a7cba7dc52ceaf572c1
    of rocon_tutorials.
  * Contributors: Scott Livingston

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 26 Feb 2015 15:00:00 -0000

ros-indigo-concert-service-gazebo (0.1.7-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 08 Feb 2015 15:00:00 -0000

ros-indigo-concert-service-gazebo (0.1.6-0trusty) trusty; urgency=high

  * add robot gazebos as runpdend fixes #36 <https://github.com/robotics-in-concert/concert_services/issues/36>
  * update install rule for concert service gazebo fixes #34 <https://github.com/robotics-in-concert/concert_services/issues/34>
  * remove topic_relay closes #35 <https://github.com/robotics-in-concert/concert_services/issues/35>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 04 Jan 2015 15:00:00 -0000

ros-indigo-concert-service-gazebo (0.1.5-0trusty) trusty; urgency=high

  * rename gazebo service
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 04 Dec 2014 15:00:00 -0000

ros-indigo-concert-service-gazebo (0.1.4-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-indigo-concert-service-gazebo (0.1.3-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-indigo-concert-service-gazebo (0.1.2-0trusty) trusty; urgency=high

  * add workflow description closes #29 <https://github.com/robotics-in-concert/concert_services/issues/29>
  * rename sim to simulation
  * remove unncessary rapps. they are now together with rapps for real robots
  * now use turtlebot_rapps. add playground
  * sim param passing
  * typo in camera flipping
  * Merge branch 'indigo' into use_package_export
  * topic_relay script has migrated to rocon_python_utils
  * leave segbot export as an example
  * use package export to load robot types
  * disable mux for smoother for now.
  * make a map service with scan and robot pose remapping
  * add make a map service
  * now velocity smoother works in turtlebot. /clock flips by default
  * now gazebo uses world_file in service parameter
  * update readme
  * tf fix
  * now teleoping three robots are working
  * Merge branch 'indigo' into gazebo_upgrade
  * flips working
  * flip_rule added
  * now all three models are loading
  * Contributors: Daniel Stonier, Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-indigo-concert-service-gazebo (0.1.1-0trusty) trusty; urgency=high

  * update for the new rocon launch api, closes #15 <https://github.com/robotics-in-concert/concert_services/issues/15>
  * use proper lists for hubs/concerts now roslaunch can handle it.
  * updated robot.launch to reflect recent changes to concert_client.launch
  * Updating readme to reflect package name changes
    After a bit of thought, I've renamed the segbot specific packages. I've updated the readme here to reflect that change.
  * minor bugfix for the teleop app due to recent refactoring.
  * eclipse files and add to metapackage.
  * Revert "renamed segbot_rocon to rocon_segbot"
    This reverts commit 31fa619b08f7798f48bef7f8004a618c3f106c17.
  * renamed segbot_rocon to rocon_segbot
  * changed to an unordered list
  * added a README
  * added documentation
  * all concerts started through this service should use simulated time
  * fixed package.xml and remove dependencies that were not needed
  * removed segbot and turtlebot specific components, moved segbot components to segbot specific repository
  * added new icon file
  * gazebo service now up and running! need to orchestrate teleoperation and navigation
  * ready to test with full concert service scenario
  * basic version is working, but correct running is order dependent. needs investigation...
  * started some initial tests of the gazebo segbot manager, although outside the services framework
  * some changes from yesterday for the gazebo service. Need to look at this in more detail tonight
  * ready for testing on the concert
  * a bit more work towards adding the gazebo service
  * separating robot specific components from the gazebo_robot_manager
  * separated turtlebot and segbot files. now ready to implement segbot_robot_manager
  * some initial testing with launch multiple turtlebots and segbots in gazebo outside the concert framework
  * initial commit for concert_service_gazebo
  * Contributors: Daniel Stonier, Piyush Khandelwal

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 25 Aug 2014 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-concert-service-gazebo
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/concert_service_gazebo
Standards-Version: 3.9.2

Package: ros-indigo-concert-service-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-gateway-msgs, ros-indigo-kobuki-gazebo, ros-indigo-rocon-console, ros-indigo-rocon-gateway-utils, ros-indigo-rocon-launch, ros-indigo-rocon-python-utils, ros-indigo-rocon-std-msgs, ros-indigo-roslib, ros-indigo-rospy, ros-indigo-turtlebot-gazebo
Description: Sets up the gazebo robot manager as a service to assist in spawning/killing robots as concert clients.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-concert-service-gazebo//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
